nl.topicus.jdbc.statement

## Class AbstractTablePartWorker

- java.lang.Object
- - nl.topicus.jdbc.statement.AbstractTablePartWorker

All Implemented Interfaces:
  Callable<ConversionResult>

Direct Known Subclasses:
  DeleteWorker, InsertWorker

    public abstract class AbstractTablePartWorker
    extends Object
    implements Callable<ConversionResult>

### Field Summary

Fields
`protected CloudSpannerConnection` `connection`
`protected net.sf.jsqlparser.statement.select.Select` `select`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ConversionResult` `call()`
`protected long` `getEstimatedRecordCount(net.sf.jsqlparser.statement.select.Select select)`
`abstract long` `getRecordCount()`
`protected boolean` `isExtendedMode(long batchSize)`
`protected abstract void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connection

    protected final CloudSpannerConnection connection

#### select

    protected final net.sf.jsqlparser.statement.select.Select select

### Method Detail

#### call

    public ConversionResult call()

Specified by:
  `call` in interface `Callable<ConversionResult>`

#### getEstimatedRecordCount

    protected long getEstimatedRecordCount(net.sf.jsqlparser.statement.select.Select select)
                                    throws SQLException

Throws:
  `SQLException`

#### isExtendedMode

    protected boolean isExtendedMode(long batchSize)
                              throws SQLException

Throws:
  `SQLException`

#### run

    protected abstract void run()
                         throws Exception

Throws:
  `Exception`

#### getRecordCount

    public abstract long getRecordCount()